# class RSS::ITunesChannelModel::ITunesImage

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/itunes.rb, line 166
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.href = args[0]
      end
    end

required_prefix() click to toggle source

    # File lib/rss/itunes.rb, line 151
    def required_prefix
      ITUNES_PREFIX
    end

required_uri() click to toggle source

    # File lib/rss/itunes.rb, line 155
    def required_uri
      ITUNES_URI
    end

### Public Instance Methods

full_name() click to toggle source

    # File lib/rss/itunes.rb, line 175
    def full_name
      tag_name_with_prefix(ITUNES_PREFIX)
    end

### Private Instance Methods

maker_target(target) click to toggle source

    # File lib/rss/itunes.rb, line 180
    def maker_target(target)
      if href
        target.itunes_image {|image| image}
      else
        nil
      end
    end

setup_maker_attributes(image) click to toggle source

    # File lib/rss/itunes.rb, line 188
    def setup_maker_attributes(image)
      image.href = href
    end